<TeXmacs|1.0.1.20>

<style|<tuple|tmdoc|maxima>>

<\body>
  <\expand|tmdoc-title>
    Some hints about output
  </expand>

  Among the tools packages supported by <TeXmacs> environment here, some
  experiences have to be kept in mind:

  <\expand|enumerate-roman>
    <item>Maxima and Yacas are the powerful softwares for symbolic
    calculation;

    <item>Gnuplot and other CAS's can used to plot the graphs in 2D, 3D and
    scientific data plots. But the Gnuplot is the best recommended software
    since the graph that it generates can be directly embedded into the
    worksheet in <TeXmacs>.

    <item>Also there are many powerful softwares with numerical abilities in
    Linux world, for example: Octave, Lab, Scilab and R (check your "session
    options" or the <TeXmacs>_INSTALL/lib exec). But Scilab owns its
    "terminal session" which is not easily embedded into the <TeXmacs>,
    Octave is the best choice due to its full accessibility.

    <item>Output format: Postscript format is the best choice as above
    mentioned. For the Windows user and not heard about this format, HTML
    format may be the suitable one. But for mathematical document, it is may
    be a bad news that directly output the HTML from <TeXmacs> is generally
    non-satisfied. If you want to generate HTML files, <LaTeX>2html maybe
    have some help. Consider to export <LaTeX> format from <TeXmacs> and use
    the following latex2html command to translate <TeX> file into HTML and
    picture files:

    <\code>
      \<gtr\> latex2html -nonavigation -split 0 filename.tex
    </code>

    if you want only one HTML file with picture files without navigation
    icons. Suppose that there are plenty of pictures generated by CAS's in
    your <TeXmacs> file, some modifications have to be made by your hand. The
    reason is that no PS Tricks implement yet in latex2html and this is just
    the <TeX> package used by <TeXmacs> to make in-line Postscript graphs.
    First capture the pictures by picture capture program, e.g. ksnapshot or
    GIMP, by CAS's in another xterm and save it as eps format. Then edit the
    <LaTeX> file, removing all lines including "cat code
    <with|mode|math|\<cdots\>>" in presume part and adding the eps graphs as
    follows : \ 

    <\verbatim>
      <with|mode|math|\<backslash\>>document[12pt]{article}

      <with|mode|math|\<backslash\>>package[dvips]{graphics}

      \ \ \ <with|mode|math|\<cdots\>>

      % remove all the line beginning with "catcode"

      \ \ \ <with|mode|math|\<cdots\>>\ 

      <with|mode|math|\<backslash\>>begin{document}

      \ \ \ <with|mode|math|\<cdots\>>

      <with|mode|math|\<backslash\>>begin{center}

      \ \ <with|mode|math|\<backslash\>>resizebox{150mm}{!}{<with|mode|math|\<backslash\>>includegraphics{picture.eps}}

      <with|mode|math|\<backslash\>>end{center}

      \ \ \ <with|mode|math|\<cdots\>>

      <with|mode|math|\<backslash\>>end{document}
    </verbatim>

    Mainly, add the graphics package and use
    <with|mode|math|\<backslash\>>include graphics{} to put the graph. And
    use above latex2html commands to translate the contents. The directory
    named by its filename will be created with HTML file, and png files.
  </expand>

  Of course, you can export the worksheet from <TeXmacs> into <LaTeX> format
  and remake the file by <TeX> system, for example: te<TeX> or Mik<TeX>.
  Don't forget to put TeXmacs.sty in the search tree of <TeX> and execute
  <with|color|red|texhash>. This file can be found in the diretory of
  $<TeXmacs><with|mode|math|\<backslash\>misc\<backslash\>latex.> Then it
  will be no problem to <with|color|red|<LaTeX>> this tex file into
  PostScript or PDF format.

  If you are interested in <TeXmacs> and CAS, more tm files can be found at:

  \ \ \ \ \ \ \ \ \ \ \ <with|color|blue|http://math.cgu.edu.tw:8080/Calculus>

  <apply|tmdoc-copyright|2003|Chu-Ching Huang>

  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
  modify this document under the terms of the GNU Free Documentation License,
  Version 1.1 or any later version published by the Free Software Foundation;
  with no Invariant Sections, with no Front-Cover Texts, and with no
  Back-Cover Texts. A copy of the license is included in the section entitled
  "GNU Free Documentation License".>
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|page type|a4>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|language|english>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|toc-10|<tuple|8.2|?>>
    <associate|toc-11|<tuple|8.3|?>>
    <associate|gly-1|<tuple|1|?>>
    <associate|idx-1|<tuple|<uninit>|?>>
    <associate|idx-2|<tuple|1|?>>
    <associate|gly-2|<tuple|2|?>>
    <associate|toc-12|<tuple|8.4|?>>
    <associate|gly-3|<tuple|3|?>>
    <associate|toc-13|<tuple|8.5|?>>
    <associate|idx-3|<tuple|3|?>>
    <associate|gly-4|<tuple|4|?>>
    <associate|toc-14|<tuple|8.6|?>>
    <associate|idx-4|<tuple|7|?>>
    <associate|gly-5|<tuple|5|?>>
    <associate|toc-15|<tuple|8.7|?>>
    <associate|idx-5|<tuple|8|?>>
    <associate|gly-6|<tuple|6|?>>
    <associate|toc-16|<tuple|8.8|?>>
    <associate|gly-7|<tuple|7|?>>
    <associate|gly-8|<tuple|8|?>>
    <associate|gly-9|<tuple|9|?>>
    <associate|toc-1|<tuple|1|?>>
    <associate|toc-2|<tuple|2|?>>
    <associate|toc-3|<tuple|3|?>>
    <associate|toc-4|<tuple|4|?>>
    <associate|toc-5|<tuple|5|?>>
    <associate|toc-6|<tuple|6|?>>
    <associate|toc-7|<tuple|7|?>>
    <associate|toc-8|<tuple|8|?>>
    <associate|toc-9|<tuple|8.1|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|figure>
      <tuple|normal||<pageref|gly-1>>

      <tuple|normal||<pageref|gly-2>>

      <tuple|normal||<pageref|gly-3>>

      <tuple|normal||<pageref|gly-4>>

      <tuple|normal||<pageref|gly-5>>

      <tuple|normal||<pageref|gly-6>>

      <tuple|normal||<pageref|gly-7>>

      <tuple|normal||<pageref|gly-8>>

      <tuple|normal||<pageref|gly-9>>
    </associate>
    <\associate|idx>
      <tuple|<tuple|<with|font family|<quote|ss>|Text>|<with|font
      family|<quote|ss>|Session>>|<pageref|idx-1>>

      <tuple|<tuple|<with|font family|<quote|ss>|Text>|<with|font
      family|<quote|ss>|Session>>|<pageref|idx-2>>

      <tuple|<tuple|<with|font family|<quote|ss>|Text>|<with|font
      family|<quote|ss>|Session>>|<pageref|idx-3>>
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|1<space|2spc>Octave><value|toc-dots><pageref|toc-1><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|2<space|2spc>Maxima><value|toc-dots><pageref|toc-2><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|3<space|2spc>Gnuplot><value|toc-dots><pageref|toc-3><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|4<space|2spc>Yacas><value|toc-dots><pageref|toc-4><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|5<space|2spc>QCL><value|toc-dots><pageref|toc-5><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|6<space|2spc>R><value|toc-dots><pageref|toc-6><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|7<space|2spc>Macaulay
      2><value|toc-dots><pageref|toc-7><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|8<space|2spc>Some Hints about
      Output><value|toc-dots><pageref|toc-8><vspace|0.5fn>
    </associate>
  </collection>
</auxiliary>
