;; Conversion between TeXmacs universal symbols and Unicode
;;
;; (C) 2002-2003  Felix Breuer, David Allouche, Joris van der Hoeven

;; Symbols are sorted by Unicode value and grouped by Unicode block.
;;
;; When the codepage grouping conflict with the logical grouping
;; (e.g. Mathematical Alphanumeric Symbols which are present in the
;; Letterlike Symbols block), the Unicode ordering is preserved but
;; the translation pair is also placed in a comment in the logical
;; group.
;;
;; The intent is making it easy to refer to the Unicode charts, and
;; ensure that logical groups are complete and correct.


;; Symbols which do not seem to exist in Unicode

;; ("<longhookleftarrow>"	"")

;;; Control and Basic Latin			0000--007F

("<less>"	"#3C")
("<gtr>"	"#3E")

;;; Controls and Latin-1 Supplement		0080--00FF

("<pm>"		"#B1")
("<cdot>"	"#B7")
("<div>"	"#F7")

;;; General Punctuation				2000--206F

("<dagger>"	"#2020")
("<ddagger>"	"#2021")
("<ldots>"	"#2026")
("<star>"	"#204E")

;;; Letterlike Symbols				2100--214F

("<bbb-C>"	"#2102")
("<cal-H>"	"#210B")
("<frak-H>"	"#210C")
("<bbb-H>"	"#210D")
("<cal-I>"	"#2110")
("<frak-I>"	"#2111")
("<cal-L>"	"#2112")
("<bbb-N>"	"#2115")
("<wp>" 	"#2118")
("<bbb-P>"	"#2119")
("<bbb-Q>"	"#211A")
("<cal-R>"	"#211B")
("<frak-R>"	"#211C")
("<bbb-R>"	"#211D")
("<bbb-Z>"	"#2124")
("<Mho>"	"#2127")
("<frak-Z>"	"#2128")
("<cal-B>"	"#212C")
("<frak-C>"	"#212D")
("<cal-E>"	"#2130")
("<cal-F>"	"#2131")
("<cal-M>"	"#2133")

;;; Arrows					2190--21FF

("<leftarrow>"		"#2190")
("<uparrow>"		"#2191")
("<rightarrow>"		"#2192")
("<downarrow>"		"#2193")
("<leftrightarrow>"	"#2194")
("<updownarrow>"	"#2195")
("<nwarrow>"		"#2196")
("<nearrow>"		"#2197")
("<swarrow>"		"#2198")
("<searrow>"		"#2199")
("<twoheadleftarrow>"	"#219E")
("<twoheadrightarrow>"	"#21A0")
("<leftarrowtail>"	"#21A2")
("<rightarrowtail>"	"#21A3")
("<mapsto>"		"#21A6")
("<hookleftarrow>"	"#21A9")
("<hookrightarrow>"	"#21AA")
("<looparrowleft>"	"#21AB")
("<looparrowright>"	"#21AC")
("<leftrightsquigarrow>" "#21AD")
("<leftharpoonup>"	"#21BC")
("<leftharpoondown>"	"#21BD")
("<upharpoonright>"	"#21BE")
("<upharpoonleft>"	"#21BF")
("<rightharpoonup>"	"#21C0")
("<rightharpoondown>"	"#21C1")
("<downharpoonright>"	"#21C2")
("<downharpoonleft>"	"#21C3")
("<rightleftarrows>"	"#21C4")
("<leftrightarrows>"	"#21C6")
("<leftleftarrows>"	"#21C7")
("<upuparrows>"		"#21C8")
("<rightrightarrows>"	"#21C9")
("<downdownarrows>"	"#21CA")
("<leftrightharpoons>"	"#21CB")
("<rightleftharpoons>"	"#21CC")
("<Leftarrow>"		"#21D0")
("<Uparrow>"		"#21D1")
("<Rightarrow>"		"#21D2")
("<Downarrow>"		"#21D3")
("<Leftrightarrow>"	"#21D4")
("<Updownarrow>"	"#21D5")
("<rightsquigarrow>"	"#21DD")
("<longleftarrow>"	"#27F5")
("<longrightarrow>"	"#27F6")
("<longleftrightarrow>"	"#27F7")
("<Longleftarrow>"	"#27F8")
("<Longrightarrow>"	"#27F9")
("<Longleftrightarrow>"	"#27FA")
("<longmapsto>"		"#27FC")

;;; Mathematical Operators			2200--22FF

("<forall>"		"#2200")
("<exists>"		"#2203")
("<in>"			"#2208")
("<nin>"		"#2209")
("<ni>"			"#220B")
("<prod>"		"#220F")
("<amalg>"		"#2210")
("<sum>"		"#2211")
("<mp>"			"#2213")
("<ast>"		"#2217")
("<circ>"		"#2218")
("<bullet>"		"#2219")
("<propto>"		"#221D")
("<infty>"		"#221E")
("<wedge>"		"#2227")
("<vee>"		"#2228")
("<cap>"		"#2229")
("<cup>"		"#222A")
("<int>"		"#222B")
("<oint>"		"#222E")
("<sim>"		"#223C")
("<backsim>"		"#223D")
("<simeq>"		"#2243")
("<cong>"		"#2245")
("<approx>"		"#2248")
("<approxeq>"		"#224A")
("<asymp>"		"#224D")
("<bumpeq>"		"#224E")
("<Bumpeq>"		"#224F")
("<eqcirc>"		"#2256")
("<circeq>"		"#2257")
("<triangleq>"		"#225C")
("<neq>"		"#2260")
("<equiv>"		"#2261")
("<leq>"		"#2264")
("<geq>"		"#2265")
("<leqq>"		"#2266")
("<geqq>"		"#2267")
("<ll>"			"#226A")
("<gg>"			"#226B")
("<lesssim>"		"#2272")
("<gtrsim>"		"#2273")
("<prec>"		"#227A")
("<succ>"		"#227B")
("<preccurlyeq>"	"#227C")
("<succcurlyeq>"	"#227D")
("<precsim>"		"#227E")
("<succsim>"		"#227F")
("<subset>"		"#2282")
("<supset>"		"#2283")
("<subseteq>"		"#2286")
("<supseteq>"		"#2287")
("<uplus>"		"#228E")
("<sqsubset>"		"#228F")
("<sqsupset>"		"#2290")
("<sqsubseteq>"		"#2291")
("<sqsupseteq>"		"#2292")
("<sqcap>"		"#2293")
("<sqcup>"		"#2294")
("<oplus>"		"#2295")
("<ominus>"		"#2296")
("<oslash>"		"#2298")
("<odot>"		"#2299")
("<varocircle>"		"#229A")
("<circledast>"		"#229B")
("<boxplus>"		"#229E")
("<boxminus>"		"#229F")
("<boxtimes>"		"#22A0")
("<boxdot>"		"#22A1")
("<perp>"		"#22A5")
("<vartriangleleft>"	"#22B2")
("<vartriangleright>"	"#22B3")
("<trianglelefteq>"	"#22B4")
("<trianglerighteq>"	"#22B5")
("<bigwedge>"		"#22C0")
("<bigvee>"		"#22C1")
("<bigcap>"		"#22C2")
("<bigcup>"		"#22C3")
("<backsimeq>"		"#22CD")
("<Subset>"		"#22D0")
("<Supset>"		"#22D1")
("<lll>"		"#22D8")
("<ggg>"		"#22D9")
("<cdots>"		"#22EF")

;;; Geometric Shapes				25A0--25FF

("<box>"		"#25A1")

;;; Miscellaneous Symbols			2600--26FF

("<phone>"		"#260E")
("<female>"		"#2640")
("<earth>"		"#2641")
("<male>"		"#2642")
("<spadesuit>"		"#2660")
("<heartsuit>"		"#2661")
("<diamondsuit>"	"#2662")
("<clubsuit>"		"#2663")
("<quarternote>"	"#2669")
("<eighthnote>"		"#266A")
("<twonotes>"		"#266B")
("<flat>"		"#266D")
("<natural>"		"#266E")
("<sharp>"		"#266F")

;;; Miscellaneous Mathematical Symbols-A	27C0--21FF

("<llbracket>"		"#27E6")
("<rrbracket>"		"#27E7")
("<langle>"		"#27E8")
("<rangle>"		"#27E9")

;;; Supplemental Mathematical Operators		2A00-2AFF

("<leqslant>"		"#2A7D")
("<geqslant>"		"#2A7E")

;;; Greek and Coptic				0370--03FF

;; Uppercase Greek
("<Alpha>"	"#0391")
("<Beta>"	"#0392")
("<Gamma>"	"#0393")
("<Delta>"	"#0394")
("<Epsilon>"	"#0395")
("<Zeta>"	"#0396")
("<Eta>"	"#0397")
("<Theta>"	"#0398")
("<Iota>"	"#0399")
("<Kappa>"	"#039A")
("<Lamda>"	"#039B")
("<Mu>"		"#039C")
("<Nu>"		"#039D")
("<Xi>"		"#039E")
("<Omicron>"	"#039F")
("<Pi>"		"#03A0")
("<Rho>"	"#03A1")
("<Sigma>"	"#03A3")
("<Tau>"	"#03A4")
("<Upsilon>"	"#03A5")
("<Phi>"	"#03A6")
("<Chi>"	"#03A7")
("<Psi>"	"#03A8")
("<Omega>"	"#03A9")

;; Lowercase Greek
("<alpha>"	"#03B1")
("<beta>"	"#03B2")
("<gamma>"	"#03B3")
("<delta>"	"#03B4")
("<varepsilon>"	"#03B5")
("<zeta>"	"#03B6")
("<eta>"	"#03B7")
("<theta>"	"#03B8")
("<iota>"	"#03B9")
("<kappa>"	"#03BA")
("<lamda>"	"#03BB")
("<mu>"		"#03BC")
("<nu>"		"#03BD")
("<xi>"		"#03BE")
("<omicron>"	"#03BF")
("<pi>"		"#03C0")
("<rho>"	"#03C1")
("<varsigma>"	"#03C2")
("<sigma>"	"#03C3")
("<tau>"	"#03C4")
("<upsilon>"	"#03C5")
("<varphi>"	"#03C6")
("<chi>"	"#03C7")
("<psi>"	"#03C8")
("<omega>"	"#03C9")

;; Variant letterforms
("<vartheta>"	"#03D1")
("<phi>"	"#03D5")
("<varpi>"	"#03D6")
("<varkappa>"	"#03F0")
("<varrho>"	"#03F1")
("<epsilon>"	"#03F5")
("<backepsilon>" "#03F6")

;;; Mathematical Alphanumeric Symbols		1D400--1D7FF

;; Bold symbols
("<b-A>"	"#1D468")
("<b-B>"	"#1D469")
("<b-C>"	"#1D46A")
("<b-D>"	"#1D46B")
("<b-E>"	"#1D46C")
("<b-F>"	"#1D46D")
("<b-G>"	"#1D46E")
("<b-H>"	"#1D46F")
("<b-I>"	"#1D470")
("<b-J>"	"#1D471")
("<b-K>"	"#1D472")
("<b-L>"	"#1D473")
("<b-M>"	"#1D474")
("<b-N>"	"#1D475")
("<b-O>"	"#1D476")
("<b-P>"	"#1D477")
("<b-Q>"	"#1D478")
("<b-R>"	"#1D479")
("<b-S>"	"#1D47A")
("<b-T>"	"#1D47B")
("<b-U>"	"#1D47C")
("<b-V>"	"#1D47D")
("<b-W>"	"#1D47E")
("<b-X>"	"#1D47F")
("<b-Y>"	"#1D480")
("<b-Z>"	"#1D481")
("<b-a>"	"#1D482")
("<b-b>"	"#1D483")
("<b-c>"	"#1D484")
("<b-d>"	"#1D485")
("<b-e>"	"#1D486")
("<b-f>"	"#1D487")
("<b-g>"	"#1D488")
("<b-h>"	"#1D489")
("<b-i>"	"#1D48A")
("<b-j>"	"#1D48B")
("<b-k>"	"#1D48C")
("<b-l>"	"#1D48D")
("<b-m>"	"#1D48E")
("<b-n>"	"#1D48F")
("<b-o>"	"#1D490")
("<b-p>"	"#1D491")
("<b-q>"	"#1D492")
("<b-r>"	"#1D493")
("<b-s>"	"#1D494")
("<b-t>"	"#1D495")
("<b-u>"	"#1D496")
("<b-v>"	"#1D497")
("<b-w>"	"#1D498")
("<b-x>"	"#1D499")
("<b-y>"	"#1D49A")
("<b-z>"	"#1D49B")

;; Script symbols (FIXME: bogus codes)
("<cal-A>"	"#1D48C")
;("<cal-B>"	"#212C")
("<cal-C>"	"#1D48E")
("<cal-D>"	"#1D48F")
;("<cal-E>"	"#2130")
;("<cal-F>"	"#2131")
("<cal-G>"	"#1D492")
;("<cal-H>"	"#210B")
;("<cal-I>"	"#2110")
("<cal-J>"	"#1D495")
("<cal-K>"	"#1D496")
;("<cal-L>"	"#2112")
;("<cal-M>"	"#2133")
("<cal-N>"	"#1D499")
("<cal-O>"	"#1D49A")
("<cal-P>"	"#1D49B")
("<cal-Q>"	"#1D49C")
;("<cal-R>"	"#211B")
("<cal-S>"	"#1D49E")
("<cal-T>"	"#1D49F")
("<cal-U>"	"#1D4A0")
("<cal-V>"	"#1D4A1")
("<cal-W>"	"#1D4A2")
("<cal-X>"	"#1D4A3")
("<cal-Y>"	"#1D4A4")
("<cal-Z>"	"#1D4A5")

;; Fraktur symbols
("<frak-A>"	"#1D504")
("<frak-B>"	"#1D505")
;("<frak-C>"	"#212D")
("<frak-D>"	"#1D507")
("<frak-E>"	"#1D508")
("<frak-F>"	"#1D509")
("<frak-G>"	"#1D50A")
;("<frak-H>"	"#210C")
;("<frak-I>"	"#2111")
("<frak-J>"	"#1D50D")
("<frak-K>"	"#1D50E")
("<frak-L>"	"#1D50F")
("<frak-M>"	"#1D510")
("<frak-N>"	"#1D511")
("<frak-O>"	"#1D512")
("<frak-P>"	"#1D513")
("<frak-Q>"	"#1D514")
;("<frak-R>"	"#211C")
("<frak-S>"	"#1D516")
("<frak-T>"	"#1D517")
("<frak-U>"	"#1D518")
("<frak-V>"	"#1D519")
("<frak-W>"	"#1D51A")
("<frak-X>"	"#1D51B")
("<frak-Y>"	"#1D51C")
;("<frak-Z>"	"#2128")
("<frak-a>"	"#1D51E")
("<frak-b>"	"#1D51F")
("<frak-c>"	"#1D520")
("<frak-d>"	"#1D521")
("<frak-e>"	"#1D522")
("<frak-f>"	"#1D523")
("<frak-g>"	"#1D524")
("<frak-h>"	"#1D525")
("<frak-i>"	"#1D526")
("<frak-j>"	"#1D527")
("<frak-k>"	"#1D528")
("<frak-l>"	"#1D529")
("<frak-m>"	"#1D52A")
("<frak-n>"	"#1D52B")
("<frak-o>"	"#1D52C")
("<frak-p>"	"#1D52D")
("<frak-q>"	"#1D52E")
("<frak-r>"	"#1D52F")
("<frak-s>"	"#1D530")
("<frak-t>"	"#1D531")
("<frak-u>"	"#1D532")
("<frak-v>"	"#1D533")
("<frak-w>"	"#1D534")
("<frak-x>"	"#1D535")
("<frak-y>"	"#1D536")
("<frak-z>"	"#1D537")

;; Double-struck symbols
("<bbb-A>"	"#1D538")
("<bbb-B>"	"#1D539")
;("<bbb-C>"	"#2102")
("<bbb-D>"	"#1D53B")
("<bbb-E>"	"#1D53C")
("<bbb-F>"	"#1D53D")
("<bbb-G>"	"#1D53E")
;("<bbb-H>"	"#210D")
("<bbb-I>"	"#1D540")
("<bbb-J>"	"#1D541")
("<bbb-K>"	"#1D542")
("<bbb-L>"	"#1D543")
("<bbb-M>"	"#1D544")
;("<bbb-N>"	"#2115")
("<bbb-O>"	"#1D546")
;("<bbb-P>"	"#2119")
;("<bbb-Q>"	"#211A")
;("<bbb-R>"	"#211D")
("<bbb-S>"	"#1D54A")
("<bbb-T>"	"#1D54B")
("<bbb-U>"	"#1D54C")
("<bbb-V>"	"#1D54D")
("<bbb-W>"	"#1D54E")
("<bbb-X>"	"#1D54F")
("<bbb-Y>"	"#1D550")
;("<bbb-Z>"	"#2124")
